Re-check verification
curl --request POST \
--url https://api.awardee.com/v1/custom-domains/{id}/verify \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.awardee.com/v1/custom-domains/{id}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.awardee.com/v1/custom-domains/{id}/verify"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"object": "custom_domain_verification",
"status": "verified",
"domain": {
"object": "custom_domain",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"verified": true,
"verified_at": "2023-11-07T05:31:56Z",
"last_checked_at": "2023-11-07T05:31:56Z",
"check_error": "<string>",
"verification_records": [
{
"type": "<string>",
"domain": "<string>",
"value": "<string>",
"reason": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z"
},
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}Endpoints
Re-check verification
Re-runs the ownership + DNS check with the TLS terminator. Safe to retry — does not consume idempotency keys. Returns status: pending if the customer’s DNS hasn’t propagated yet.
POST
/
custom-domains
/
{id}
/
verify
Re-check verification
curl --request POST \
--url https://api.awardee.com/v1/custom-domains/{id}/verify \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.awardee.com/v1/custom-domains/{id}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.awardee.com/v1/custom-domains/{id}/verify"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"object": "custom_domain_verification",
"status": "verified",
"domain": {
"object": "custom_domain",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"verified": true,
"verified_at": "2023-11-07T05:31:56Z",
"last_checked_at": "2023-11-07T05:31:56Z",
"check_error": "<string>",
"verification_records": [
{
"type": "<string>",
"domain": "<string>",
"value": "<string>",
"reason": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z"
},
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}Authorizations
Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.

